## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMFormatterWalker Class Reference

`#include <XercesDOMFormatterWalker.hpp>`

Inheritance diagram for XercesDOMFormatterWalker:

[legend]
Collaboration diagram for XercesDOMFormatterWalker:

[legend]
List of all members.

## Public Types

- typedef XercesDOMWalker ParentType

## Public Methods

- XercesDOMFormatterWalker (FormatterListener &theFormatterListener)
    Constructor. More...
- virtual ~XercesDOMFormatterWalker ()

## Protected Methods

- virtual bool startNode (const DOMNodeType *node)
    Called when first walking a node. More...
- virtual bool endNode (const DOMNodeType *node)
    Called when leaving a node. More...

## Member Typedef Documentation

typedef XercesDOMWalker XercesDOMFormatterWalker::ParentType

## Constructor & Destructor Documentation

XercesDOMFormatterWalker::XercesDOMFormatterWalker ( | FormatterListener & theFormatterListener )

| Constructor.

XercesDOMFormatterWalker::~XercesDOMFormatterWalker ( | )`[virtual]`

## Member Function Documentation

bool XercesDOMFormatterWalker::endNode ( | const DOMNodeType * node )`[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Reimplemented from XercesDOMWalker.

bool XercesDOMFormatterWalker::startNode ( | const DOMNodeType * node )`[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Reimplemented from XercesDOMWalker.

The documentation for this class was generated from the following file:

- XercesDOMFormatterWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.